
USE [WaspTrackInventory]
GO

if (SELECT COUNT(form_id) FROM form_field_meta WHERE form_id = 22 AND field='past_due') = 0
BEGIN
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values 
(22,'Label','past_due','past_due','Past Due','Past Due','T','F','F',null,'Past Due','Past Due','T','F',null,null,'F',null,1,1,'F','0','0');
END

if (SELECT COUNT(form_id) FROM form_field_meta WHERE form_id = 26 AND field='past_due') = 0
BEGIN
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values 
(26,'Label','past_due','past_due','Past Due','Past Due','T','F','F',null,'Past Due','Past Due','T','F',null,null,'F',null,1,1,'F','0','0');
END

GO


if NOT EXISTS (select * from security_privileges where security_code = 'web')
	insert into security_privileges (security_code,description,company_id) values ('web','Web Access',1);
else
	UPDATE security_privileges SET description = 'Web Access', company_id = 1 where (security_code = 'web')

GO


INSERT INTO [user_privileges]
SELECT distinct [user_id], 'web', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'web')) and user_id in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'admin')) and user_id > 0



IF NOT EXISTS (select * from [filters] where [filter_name] = 'No Filtering' and [filter_target] = 'Transaction'  and user_id = 0)
BEGIN
INSERT INTO [dbo].[filters] ([filter_name]
           ,[filter_target]
           ,[is_default]
           ,[user_id]
           ,[company_id]
           ,[access_level]
           ,[create_date]
           ,[last_updated])
     VALUES
           ('No Filtering'
           ,'Transaction'
           ,'F'
           ,0
           ,1
           ,2
           ,'8/21/2009'
           ,'8/21/2009')
END

IF NOT EXISTS (select * from [filters] where [filter_name] = 'No Filtering' and [filter_target] = 'Inventory' and user_id = 0 )
BEGIN
INSERT INTO [dbo].[filters] ([filter_name]
           ,[filter_target]
           ,[is_default]
           ,[user_id]
           ,[company_id]
           ,[access_level]
           ,[create_date]
           ,[last_updated])
     VALUES
           ('No Filtering'
           ,'Inventory'
           ,'F'
           ,0
           ,1
           ,2
           ,'8/21/2009'
           ,'8/21/2009')
END

IF NOT EXISTS (select * from [filters] where [filter_name] = 'No Filtering' and [filter_target] = 'Item'  and user_id = 0)
BEGIN
INSERT INTO [dbo].[filters] ([filter_name]
           ,[filter_target]
           ,[is_default]
           ,[user_id]
           ,[company_id]
           ,[access_level]
           ,[create_date]
           ,[last_updated])
     VALUES
           ('No Filtering'
           ,'Item'
           ,'F'
           ,0
           ,1
           ,2
           ,'8/21/2009'
           ,'8/21/2009')
END

IF NOT EXISTS (select * from [filters] where [filter_name] = 'No Filtering' and [filter_target] = 'PurchaseOrder'  and user_id = 0)
BEGIN
INSERT INTO [dbo].[filters] ([filter_name]
           ,[filter_target]
           ,[is_default]
           ,[user_id]
           ,[company_id]
           ,[access_level]
           ,[create_date]
           ,[last_updated])
     VALUES
           ('No Filtering'
           ,'PurchaseOrder'
           ,'F'
           ,0
           ,1
           ,2
           ,'8/21/2009'
           ,'8/21/2009')
END

IF NOT EXISTS (select * from [filters] where [filter_name] = 'No Filtering' and [filter_target] = 'PickOrder' and user_id = 0 )
BEGIN
INSERT INTO [dbo].[filters] ([filter_name]
           ,[filter_target]
           ,[is_default]
           ,[user_id]
           ,[company_id]
           ,[access_level]
           ,[create_date]
           ,[last_updated])
     VALUES
           ('No Filtering'
           ,'PickOrder'
           ,'F'
           ,0
           ,1
           ,2
           ,'8/21/2009'
           ,'8/21/2009')
END

